import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listAccredit(query) {
  return request({
    url: '/etl/assetAccredit/list',
    method: 'get',
    params: query
  })
}

// 根据表id查询授权信息
export function getAssetAccreditByDataAssetId(id) {
  return request({
    url: '/etl/assetAccredit/GetAssetAccreditByDataAssetId?id='+id,
    method: 'get'
  })
}

// 查询【请填写功能名称】详细
export function getAccredit(id) {
  return request({
    url: '/etl/assetAccredit/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addAssetAccredit(data) {
  return request({
    url: '/etl/assetAccredit',
    method: 'post',
    data: data
  })
}

// 新增【请填写功能名称】
export function deleteAssetAccreditByAssetIds(data) {
  return request({
    url: '/etl/assetAccredit/DeleteAssetAccreditByAssetIds',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateAccredit(data) {
  return request({
    url: '/etl/assetAccredit',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delAccredit(id) {
  return request({
    url: '/etl/assetAccredit/' + id,
    method: 'delete'
  })
}
